summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authorMark Beierl <mark.beierl@emc.com>2016-04-15 13:10:47 -0400
committerMark Beierl <mark.beierl@emc.com>2016-04-15 13:51:14 -0400
commit07a375f25ee831100ecf21e7bb9c1bdcd3b960f5 (patch)
tree9b464dacab1ca8e7bf0122b48a5c8c1308d5dece /ci
parent9e682a1b04a8d1f60834d55fd9cef6b341ff7d7b (diff)
Tests in verify
Run the tests in the verify command instead of just merge so that way patches can be rejected if tests fail Change-Id: I8907618a324296460a71a51d087926f9089e0d21 Signed-off-by: Mark Beierl <mark.beierl@emc.com>
Diffstat (limited to 'ci')
-rwxr-xr-xci/merge.sh27
-rwxr-xr-xci/setup.py22
-rwxr-xr-xci/verify.sh42
3 files changed, 53 insertions, 38 deletions
diff --git a/ci/merge.sh b/ci/merge.sh
index ca55281..80ffdb6 100755
--- a/ci/merge.sh
+++ b/ci/merge.sh
@@ -8,28 +8,5 @@
# http://www.apache.org/licenses/LICENSE-2.0
##############################################################################
-if [ -z $WORKSPACE ]
-then
- WORKSPACE="$HOME"
-fi
-
-virtualenv $WORKSPACE/storperf_venv
-source $WORKSPACE/storperf_venv/bin/activate
-
-pip install --upgrade setuptools
-pip install nose -I
-pip install coverage -I
-python ci/setup.py develop
-
-
-if [ -x /usr/bin/flake8 ]; then
- flake8 storperf
-fi
-
-nosetests --with-xunit \
- --with-coverage \
- --cover-package=storperf\
- --cover-xml \
- storperf
-
-deactivate \ No newline at end of file
+# Just run the verify again for now
+`dirname $0`/verify.sh \ No newline at end of file
diff --git a/ci/setup.py b/ci/setup.py
index daacc61..293fdda 100755
--- a/ci/setup.py
+++ b/ci/setup.py
@@ -21,17 +21,17 @@ setup(
]
},
url="https://www.opnfv.org",
- install_requires=["coverage>=4.0.3",
- "flake8>=2.5.1",
- "flask>=0.10.1",
- "flask-restful>=0.3.5",
- "html2text>=2016.1.8",
- "mock>=1.3",
- "pyyaml>=3.11",
- "python-cinderclient>=1.5.0",
- "python-heatclient>=0.8.0",
- "python-keystoneclient>=2.0.0",
- "python-novaclient>=3.1.0",
+ install_requires=["flask==0.10",
+ "flask-restful==0.3.5",
+ "html2text==2016.1.8",
+ "python-cinderclient==1.6.0",
+ "python-glanceclient==1.1.0",
+ "python-heatclient==0.8.0",
+ "python-keystoneclient==1.6.0",
+ "python-neutronclient==2.6.0",
+ "python-novaclient==2.28.1",
+ "pyyaml==3.10",
+ "requests==2.9.1",
"six==1.10.0"
],
entry_points={
diff --git a/ci/verify.sh b/ci/verify.sh
index d1b0691..2f67e94 100755
--- a/ci/verify.sh
+++ b/ci/verify.sh
@@ -10,6 +10,44 @@
echo "Verifying code format and compliance..."
-if [ -x /usr/bin/flake8 ] ; then
- flake8 storperf
+if [ -z $WORKSPACE ]
+then
+ WORKSPACE="$HOME"
fi
+
+virtualenv $WORKSPACE/storperf_venv
+source $WORKSPACE/storperf_venv/bin/activate
+
+pip install setuptools
+pip install coverage==4.0.3
+pip install flask==0.10
+pip install flask-restful==0.3.5
+pip install funcsigs==0.4
+pip install flake8==2.5.4
+pip install html2text==2016.1.8
+pip install mock==1.3.0
+pip install nose==1.3.7
+pip install python-cinderclient==1.6.0
+pip install python-glanceclient==1.1.0
+pip install python-heatclient==0.8.0
+pip install python-keystoneclient==1.6.0
+pip install python-neutronclient==2.6.0
+pip install python-novaclient==2.28.1
+pip install pyyaml==3.10
+pip install requests==2.9.1
+pip install six==1.10.0
+
+python ci/setup.py develop
+
+flake8 storperf
+
+nosetests --with-xunit \
+ --with-coverage \
+ --cover-package=storperf\
+ --cover-xml \
+ storperf
+rc=$?
+
+deactivate
+
+exit $rc \ No newline at end of file